Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

14.12.2009, 22:50

Ipkg Download Error

Ich habe nach der Eingabe: ipkg install optware-devel folgende Fehlermeldung:

Installing optware-devel (6.8-9) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/op....8-9_armeb.ipk
wget: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
Nothing to be done
An error ocurred, return value: 22.
Collected errors:
ipkg_download: ERROR: Command failed with return value 127: `wget --passive-ftp -q -P /tmp/ipkg-jj98D9 http://ipkg.nslu2-linux.org/feeds/op....8-9_armeb.ipk'
Failed to download optware-devel. Perhaps you need to run 'ipkg update'?

Ein Update bringt eine neue Fehlermeldung:
Downloading http://ipkg.nslu2-linux.org/feeds/op...le/Packages.gz
wget: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
Downloading http://ipkg.nslu2-linux.org/feeds/op...le/Packages.gz
wget: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
Downloading http://ipkg.nslu2-linux.org/feeds/un...le/Packages.gz
wget: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
An error ocurred, return value: 3.
Collected errors:
ipkg_download: ERROR: Command failed with return value 127: `wget --passive-ftp -q -P /tmp/ipkg-AJ9FWQ http://ipkg.nslu2-linux.org/feeds/op...le/Packages.gz'
ipkg_download: ERROR: Command failed with return value 127: `wget --passive-ftp -q -P /tmp/ipkg-AJ9FWQ http://ipkg.nslu2-linux.org/feeds/op...le/Packages.gz'
ipkg_download: ERROR: Command failed with return value 127: `wget --passive-ftp -q -P /tmp/ipkg-AJ9FWQ http://ipkg.nslu2-linux.org/feeds/un...le/Packages.gz'

Kann mir jemand sagen, was schief läuft?

Anzeigen

Smuggler

Schüler

Beiträge: 87

Verwendetes NAS-Device: NSLU2

Firmwareversion / your current Firmware: Unslung 6.10

  • Nachricht senden

2

15.12.2009, 07:08

Richtige DNS Server IP eingetragen im NSLU2 Webinterface?

Smugg

Anzeigen

3

15.12.2009, 12:17

Richtige DNS Server IP eingetragen im NSLU2 Webinterface?

Smugg


Ja ist richtig eingetragen. Ich kann auch die Seite anpingen.

caplink811

Forensupporter

Beiträge: 2 200

Verwendetes NAS-Device: 64X2/8GB/Ubuntu10.04LTS

Firmwareversion / your current Firmware: anderes

Wohnort: Berlin

Beruf: TK/IT Consulting and Engineering

  • Nachricht senden

4

15.12.2009, 18:26

Moin,

ist die angemahnte Bibliothek wirklich nicht in /lib oder /usr/lib vorhanden? Stimmt die Version nicht?

bye
JrB
"Supporting joe users worldwide" <- that's our motto


5

15.12.2009, 19:42

Moin,

ist die angemahnte Bibliothek wirklich nicht in /lib oder /usr/lib vorhanden? Stimmt die Version nicht?

bye
JrB

Nabend,
also ein Update und Upgrade endet mit der Nachricht, dass insoweit alles aktuell ist, allerdings funktioniert nach ipkg install optware-devel ein update erst wieder wenn ich vorher ipkg remove wget-ssl ausführe, ansonsten gibt es bei einem Update auch Fehlermeldungen.

Eine Idee :?:

6

16.12.2009, 00:01

Erledigt

Es war ganz simpel. Es fehlte eine Datei. :eek:

caplink811

Forensupporter

Beiträge: 2 200

Verwendetes NAS-Device: 64X2/8GB/Ubuntu10.04LTS

Firmwareversion / your current Firmware: anderes

Wohnort: Berlin

Beruf: TK/IT Consulting and Engineering

  • Nachricht senden

7

16.12.2009, 16:20

Moin,

dann verrate dem Auditorium doch welche Datei gefehlt hat...

danke
JrB
"Supporting joe users worldwide" <- that's our motto


8

17.12.2009, 11:31

Moin Moin, gerne doch. Es fehlte die Datei: libidn.so.11. Warum die nicht da war keine Ahnung. Danach ging alles.

9

19.12.2009, 12:26

Hallo,

habe exact das selbe Problem.
Wollte per
ipkg install optware-devel installieren.
Das brach ab mit wget: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
Die libidin habe ich leider niergends und ich kann sie mir jetzt nicht mal bauen da kein wget mehr geht...

Kann mir jemand helfen und mir die datei zur Verfügung stellen? Oder gibts doch noch nen anderen Ausweg?

Hilfe!

caplink811

Forensupporter

Beiträge: 2 200

Verwendetes NAS-Device: 64X2/8GB/Ubuntu10.04LTS

Firmwareversion / your current Firmware: anderes

Wohnort: Berlin

Beruf: TK/IT Consulting and Engineering

  • Nachricht senden

10

19.12.2009, 15:53

Moin,

http://ipkg.nslu2-linux.org/feeds/optwar….15-1_armeb.ipk mit einer anderen Maschine herunterladen, in ein Verzeichnis auf der NSLU kopieren, und mit ipkg install datei.ipk installieren.

bye
JrB
"Supporting joe users worldwide" <- that's our motto


11

19.12.2009, 17:00

Wow,

Caplink mein retter :-)
Super hat geklappt jetzt mach ichmal weiter.
Aber noch ne frage an dich, hast du ne Ahnung warum ipkg install optware-devel zu diesem problem führt? Sind da die abhängigkeiten nicht richtig gepflegt oder mache ich was falsch???

Gruß und danke
Kai

Social Bookmarks